function [movOut] = movBeatDoubler(movIn)
    
    noB = size(movIn, 1);
    noLay = size(movIn, 3);
    
    movOut = NaN(noB*2, 3, noLay);
    
    for b = 1 : noB
        movOut(b*2 - 1, 1, :) = b*2 - 1; % no
        movOut(b*2 - 0, 1, :) = b*2 - 0; % no
        
        movOut(b*2 - 1, 2:3, 1) = movIn(b, 2:3, 1); % val1 val2 old
        movOut(b*2 - 0, 2, 1) = NaN; % val1 ny
        movOut(b*2 - 0, 3, 1) = NaN; % val2 ny
        
         movOut(b*2 - 1, 2:3, 2) = movIn(b, 2:3, 2); % flip1 flip2 old
         movOut(b*2 - 0, 2, 2) = 0; % flip1 ny
         movOut(b*2 - 0, 3, 2) = 0; % flip2 ny
       
         movOut(b*2 - 1, 2:3, 3) = movIn(b, 2:3, 3); % skew1 skew2 old
        movOut(b*2 - 0, 2, 3) = NaN; % skew1 ny
        movOut(b*2 - 0, 3, 3) = NaN; % skew1 ny
    end
    
    
end


%{


mov = loadMovFromFile('work/etyp1/', '4-1'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/4-1.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '4-2'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/4-2.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '4-3'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/4-3.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '4-7'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/4-7.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '4-9'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/4-9.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '4-11'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/4-11.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '8-0'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/8-0.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '8-1'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/8-1.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '8-2'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/8-2.txt', 'work/etyp2/');
mov = loadMovFromFile('work/etyp1/', '8-8'); mov2 = movBeatDoubler(mov); saveMovToFile(mov2,'work/etyp2/8-8.txt', 'work/etyp2/');


ut(b*2 - 0, 3, 3) = NaN; % skew
      end
%}