function [] = runPreviewEtyp1(A, P, slow)
   % slow = 1 eller 2, 1 er normal
   
    wavClick44100 = A.wavClick44100;
    clickDBtimeMs = A.clickDBtimeMs;
    cntArr525 = A.cntArr525;
    startClickNr = P.startClickNr;
    endClickNr = P.endClickNr;
   
    %load '../../grafikk/pBelgSmall.mat'; % Fbe, Vbe   
    %load '../../grafikk/pStag_small.mat'; % Fst, Vst
    %load '../../grafikk/pHjul_small.mat'; % Fhj, Vhj
   
    fsW = 44100;
    startSampW = floor(fsW*clickDBtimeMs(startClickNr) / 1000);
    endSampW = floor(fsW*clickDBtimeMs(endClickNr) / 1000);
    startSampW = max(1, startSampW);
    endSampW = min(size(wavClick44100, 1), endSampW);
    
     
    
    fsC = 525;
    startSamp = floor(fsC*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fsC*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(wavClick44100, 1), endSamp);
    
    framePerSec = fsC/30;
    sampDiffTime = framePerSec/fsC;
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);

    figure(2);
    clf;
    
    axScale = 0.5897;    
    
    % Agent - belg, org høyde 1
    Vbe = [0 0 0
           1 0 0
           1 0 1
           0 0 1];
    Fbe = [1 2 3 4]; 

    belgBunnHoyde = 6; % 5
    axIn = -0.75;
    Fbe0 = Fbe;
    Vbe0 = Vbe; % .* [0.6 0.6 1];
    [Fbe, Vbe] = agent3vid(axScale*axIn, Fbe0, Vbe0); % 0.6*ax
    belgToppHoyde = 1 + axScale*0 + belgBunnHoyde; % fra agent3vid
    Vbe = Vbe + [0 0 belgBunnHoyde]; 
    ha1 = plotPoly(Fbe, Vbe, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    
    
    sound(wavClick44100(startSampW:endSampW), fsW/slow); 
    for s = startSamp : framePerSec/slow : endSamp
        del = 0;
        cl_old = cl;
        while del < sampDiffTime
            cl = clock;
            cl = cl(4)*60*60 + cl(5)*60 + cl(6);
            del = cl - cl_old;
        end
        
        % Agent belg
        axIn = cntArr525(floor(s), 1);
        
        [~, Vbe] = agent3vid(axScale*axIn, Fbe0, Vbe0); % 0.5*ax
        belgToppHoyde = 1 + axScale*axIn + belgBunnHoyde; % fra agent3vid

        Vbe = Vbe + [0 0 belgBunnHoyde];
        set(ha1, 'Vertices', Vbe);



 
        axis([-1.0000    2.0000   -1.7321    1.7321    6.0000    7.5843]);
        view(0, 10);
        drawnow;
    end
    %close(2);
    
    figure(1);
    
    
end
